Bug 202465 - Pulse does not properly parse lvs.cf
Pulse does not properly parse lvs.cf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: piranha (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-14 13:17 EDT by Alex Yacoub
Modified: 2009-04-16 18:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0409
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:49:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Yacoub 2006-08-14 13:17:45 EDT
Description of problem:
Pulse fails when the lvs.cf file contains blank lines.

Version-Release number of selected component (if applicable):
piranha-0.8.2-1

How reproducible:
Always

Steps to Reproduce:
1. Create a working lvs.cf file, then add blank lines (try the included sample.cf, which has blank lines).  
Comments with blank lines also change the parsing results, so go ahead and remove all comments.
2. /sbin/service pulse restart
  
Actual results:
Starting pulse: pulse: error parsing /etc/sysconfig/ha/lvs.cf at line X: quotation mismatch

(This is the first blank line in the file for me.)

Expected results:

Pulse starts properly

Additional info:

If necessary, I will attach my own lvs.cf file.
Comment 1 Stanko Kupcevic 2006-11-15 17:20:46 EST
Fix in -HEAD
Comment 2 Kiersten (Kerri) Anderson 2007-04-23 13:50:01 EDT
Fixing Product Name.  Cluster Suite components were integrated into Enterprise
Linux version 5.0.
Comment 3 RHEL Product and Program Management 2007-10-16 00:10:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jay Turner 2007-11-30 02:27:43 EST
QE ack for RHEL5.2.  Reproducer in comment 0.
Comment 7 errata-xmlrpc 2008-05-21 12:49:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0409.html

Note You need to log in before you can comment on or make changes to this bug.